Summary:	Mdk kdm.
Name:		mdkkdm
Version:	9.1
Release:	24mdk
License:	GPL
URL:		http://www.mandrakelinux.com/
Group:		System/Configuration/Other

# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
# no extra source or patch are allowed here.
Source:			%name-%{version}.tar.bz2

Patch1:			mdkkdm-fix-kdm-reboot-options.patch.bz2

BuildRoot:		%_tmppath/%name-%version-%release-root
BuildRequires:	kdelibs-devel >= 3.1
BuildRequires:	XFree86-static-libs
BuildRequires:	arts
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	freetype2
BuildRequires:	gcc-c++

Requires:		initscripts >= 7.04-3mdk

Provides:		kdm

%description 
Mdk kdm.

%prep

%setup -q
find . -type 'd' -name 'CVS' | xargs rm -fr

#%patch1 -p1

%build
make -f admin/Makefile.common

# Search for qt/kde libraries in the right directories (avoid patch)
# NOTE: please don't regenerate configure script past this line
perl -pi -e "s@/lib(\"|\b[^/])@/%_lib\1@g if /(kde|qt)_(libdirs|libraries)=/" configure

./configure \
        --prefix=%_prefix --libdir=%_libdir \
        --enable-final --disable-debug --with-xinerama --disable-rpath --enable-mt

%make


%install
rm -rf %buildroot

%makeinstall_std
%{find_lang} %{name}


rm -rf %buildroot/%_datadir/apps/kdm/pics/
rm -rf %buildroot/%_datadir/config/kdm/*
rm -rf %buildroot/%_datadir/wallpapers/kdm_bg.jpg


%clean
rm -fr %buildroot



%files -f %{name}.lang
%defattr(-,root,root)
#
#
%_bindir/*
%dir %_datadir/mdk/mdkkdm/
%_datadir/mdk/mdkkdm/*.png


%changelog
* Fri Mar 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-24mdk
- Try to fix rebootin

* Wed Mar 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-23mdk
- Fix compile
- Fix reboot when we click on item

* Mon Mar 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-22mdk
- Fix reboot info ( I hope )

* Thu Feb 27 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-21mdk
- Update code 

* Mon Feb 24 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-20mdk
- Update code ( fix back button position )

* Thu Feb 20 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-19mdk
- Fix kdm logo.

* Wed Feb 19 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-18mdk
- Fix layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-17mdk
- Fix password page

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-16mdk
- Fix password page layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-15mdk
- Fix button name

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-14mdk
- Fix layout

* Tue Feb 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-13mdk
- Update code : Use new mdk kdm logo

* Fri Feb 07 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-12mdk
- Update code ( fix layout)

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-11mdk
- Fix compile under ppc

* Thu Feb 06 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-10mdk
- Remove duplicate code, Bug fix

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-9mdk
- Update code fix login

* Wed Feb 05 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-8mdk
- Add provides kdm

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-7mdk
- Add truncate function

* Tue Feb 04 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-6mdk
- Fix layout

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-5mdk
- Fix : use rebootin programm.

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-4mdk
- Add patch1 : fix reboot option ( patch from kdebase I hate duplicate code)

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-3mdk
- Rename kdm -> mdkkdm

* Mon Feb 03 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 9.1-1mdk
- initial package

